from django.contrib import admin

from .models import (
    AdditionalGroup,
    Group,
    Shadow,
    User,
)


class AdditionalGroupInline(admin.TabularInline):
    model = AdditionalGroup


class ShadowInline(admin.TabularInline):
    model = Shadow


class UserAdmin(admin.ModelAdmin):
    inlines = [AdditionalGroupInline, ShadowInline]


admin.site.register(Group)
admin.site.register(User, UserAdmin)
